.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:43:46 1993 by Rik Faith (faith@cs.unc.edu)
.TH PUTPWENT 3  "April 9, 1993" "GNU" "Linux Programmer's Manual"
.SH NAME
putpwent \- write a password file entry
.SH SYNOPSIS
.nf
.B #include <pwd.h>
.B #include <stdio.h>
.B #include <sys/types.h>
.sp
.BI "int putpwent(const struct passwd *" p ", FILE *" stream );
.fi
.SH DESCRIPTION
The \fBputpwent()\fP function writes a password entry from the
structure \fIp\fP in the file associated with \fIstream\fP.
.PP
The \fIpasswd\fP structure is defined in \fI<pwd.h>\fP as follows:
.sp
.RS
.nf
.ta 8n 16n 32n
struct passwd {
        char    *pw_name;		/* user name */
        char    *pw_passwd;		/* user password */
        uid_t   pw_uid;			/* user id */
        gid_t   pw_gid;			/* group id */
        char    *pw_gecos;      	/* real name */
        char    *pw_dir;  		/* home directory */
        char    *pw_shell;      	/* shell program */
};
.ta
.fi
.RE
.SH "RETURN VALUE"
The \fBputpwent()\fP function returns 0 on success, or \-1 if an error
occurs.
.SH ERRORS
.TP
.B EINVAL
Invalid (NULL) argument given.
.SH "CONFORMING TO"
SVID 3
.SH "SEE ALSO"
.BR fgetpwent "(3), " getpwent "(3), " setpwent (3),
.BR endpwent "(3), " getpwnam "(3), " getpwuid "(3), " getpw (3)
